std::_Temporary_buffer(3)

NAME
std::_Temporary_buffer -

SYNOPSIS

Inherited by temporary_buffer.

Detailed Description

  template<typename _ForwardIterator, typename _Tp> class std::_Temporary_buffer< _ForwardIterator, _Tp >

Definition at line 76 of file stl_tempbuf.h.

  Public Types
typedef pointer iterator
typedef value_type * pointer
typedef ptrdiff_t size_type
typedef _Tp value_type

  Public Member Functions
_Temporary_buffer (_ForwardIterator __first, _ForwardIterator __last)
iterator begin ()
iterator end ()
size_type requested_size () const
size_type size () const
~_Temporary_buffer ()

  Protected Member Functions
void _M_initialize_buffer (const _Tp &val, __false_type)
void _M_initialize_buffer (const _Tp &, __true_type)

  Protected Attributes
pointer _M_buffer
size_type _M_len
size_type _M_original_len

Constructor & Destructor Documentation

  _Temporary_buffer (_ForwardIterator __first, _ForwardIterator __last)

Constructs a temporary buffer of a size somewhere between zero and the size of the given range.

Definition at line 143 of file stl_tempbuf.h.

References _Temporary_buffer::_M_buffer, _Temporary_buffer::_M_initialize_buffer(), _Temporary_buffer::_M_len, _Temporary_buffer::_M_original_len, pair::first, std::get_temporary_buffer(), std::return_temporary_buffer(), and pair::second.

Member Function Documentation

  iterator begin () [inline]

As per Table mumble.

Definition at line 112 of file stl_tempbuf.h.

References _Temporary_buffer::_M_buffer.

Referenced by std::inplace_merge(), std::stable_partition(), and std::stable_sort().

  iterator end () [inline]

As per Table mumble.

Definition at line 117 of file stl_tempbuf.h.

References _Temporary_buffer::_M_buffer, and _Temporary_buffer::_M_len.

  size_type requested_size () const [inline]

Returns the size requested by the constructor; may be >size().

Definition at line 107 of file stl_tempbuf.h.

References _Temporary_buffer::_M_original_len.

Referenced by std::stable_partition().

  size_type size () const [inline]

As per Table mumble.

Definition at line 102 of file stl_tempbuf.h.

References _Temporary_buffer::_M_len.

Referenced by std::inplace_merge(), std::stable_partition(), and std::stable_sort().

Author

Generated automatically by Doxygen for libstdc++ from the source code.